Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class URLHashSet

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractSet
              java.util.HashSet
                  org.apache.axis.utils.URLHashSet

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.io.Serializable, java.util.Set

public class URLHashSet
extends java.util.HashSet

Class URLHashSet

Author:
  Davanum Srinivas (dims@apache.org)
See Also:
  Serialized Form

Constructor Summary
`URLHashSet()`

Method Summary
`boolean` | `add(java.net.URL url)` Adds the specified URL to this set if it is not already present.
`boolean` | `contains(java.net.URL url)` Returns true if this set contains the specified element.
`static java.net.URL` | `normalize(java.net.URL url)` if the url points to a file then make sure we cleanup ".." "." etc.
`boolean` | `remove(java.net.URL url)` Removes the given URL from this set if it is present.

Methods inherited from class java.util.HashSet
`add, clear, clone, contains, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

Constructor Detail

### URLHashSet

    public URLHashSet()

Method Detail

### add

    public boolean add(java.net.URL url)

  Adds the specified URL to this set if it is not already present.

  Parameters:
    `url` - url to be added to this set.
  Returns:
    true if the set did not already contain the specified element.

### remove

    public boolean remove(java.net.URL url)

  Removes the given URL from this set if it is present.

  Parameters:
    `url` - url to be removed from this set, if present.
  Returns:
    true if the set contained the specified element.

### contains

    public boolean contains(java.net.URL url)

  Returns true if this set contains the specified element.

  Parameters:
    `url` - url whose presence in this set is to be tested.
  Returns:
    true if this set contains the specified element.

### normalize

    public static java.net.URL normalize(java.net.URL url)

  if the url points to a file then make sure we cleanup ".." "." etc.

  Parameters:
    `url` - url to be normalized
  Returns:
    normalized url

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.